/*
 * mod_zipvfs: http://modzipvfs.sourceforge.net/
 *
 * Apache2 API compliant module, version 0.1 (24-Jul-2002)
 *
 * Copyright (c) 2002 Pavel Kral, All rights reserved.
 * Distributed under GNU GENERAL PUBLIC LICENCE see copying for more
 *
 * This module represent zip compatabile archive (PkWare,WinZip,Jar) as
 * virtual filesystem, allow traverzal throught and read content. This
 * is especially usefull for large documentations (Java JDK). Support for
 * sending raw data if browser has ability to read gziped content and for
 * normal decompressed content. Support for automatics directory listing
 * and index searching.
 *
 */


#ifndef MOD_MESSAGES_H
#define MOD_MESSAGES_H


void sendBeginHtmlData(zipResourceRequest *zipRRequest);
void sendEndHtmlData(zipResourceRequest *zipRRequest);

void sendZipInfo(zipResourceRequest *zipRRequest);
void sendErrorMsg(zipResourceRequest *zipRRequest,const char *message);

#endif /* MOD_MESSAGES */